In the vendors API response, we have introduced a new paymentNetworkId field. This field provides the vendor Payment Network ID (PNI). Each vendor with a BILL account is a unique PNI.
See POST /v3/vendors in the API reference for more information.
In the vendors API response, we have introduced a new paymentNetworkId field. This field provides the vendor Payment Network ID (PNI). Each vendor with a BILL account is a unique PNI.
See POST /v3/vendors in the API reference for more information.
We have added a new Postman notebook for the bill approvals workflow with the BILL v3 API. See the Bill Approvals Workflow with the BILL v3 API Postman notebook for details.
In this notebook, you build an API workflow that enables you to set up a bill approval policy, get the list of bills pending approval, and approve a bill for payment.
In all, we now have 2 published Postman notebooks.
We have added two new developer tutorials in the BILL API Platform for developers YouTube playlist. See the BILL API Platform for developers playlist for the complete set of developer tutorials.
In this tutorial, we walk through everything you need to authenticate with the BILL API Platform.
You’ll learn how to:
devKey)organizationId)In this tutorial, we walk you through real-time bill approvals, document fetching, and handling Spend & Expense 3DS authentication flows in your existing systems.
In the Spend & Expense Transactions API, we have added syncStatus to the list of transaction filters. In the Get list of transactions (GET /v3/spend/transactions) request, you can now filter transactions with the syncStatus field.
This field provides information about the current sync status of the transaction with your accounting system. The possible syncStatus values are PENDING, SYNCED, ERROR, MANUAL_SYNCED, or NOT_SYNCED.
New field you can filter with | Available operators |
|---|---|
|
|
In the invoices API endpoints, we have introduced the capability of adding convenience fees. In the Create an invoice (POST /v3/invoices), Replace an invoice (PUT /v3/invoices/{invoice_id}), and Update an invoice (PATCH /v3/invoices/{invoice_id}) requests, you can now set convenience fees in the convenienceFee object. To set the convenience fee, the new enableCardPayment field must be set as true.
In the convenienceFee object, you can now set a convenience fee percentage that you want to charge your customer when they pay the invoice using a card.
In the invoices API endpoints, we have introduced the capability of adding a sales tax to taxable invoice line items. In the Create an invoice (POST /v3/invoices), Replace an invoice (PUT /v3/invoices/{invoice_id}), and Update an invoice (PATCH /v3/invoices/{invoice_id}) requests, you can now set a sales tax with the new salesTaxItemId field.
You can set salesTaxItemId as the BILL-generated ID of the SALES_TAX item. The value begins with 0ii. The tax rate is applied to all the invoice line items set as taxable. You can set up a SALES_TAX percentage item with POST /v3/classifications/items.
In the invoices API endpoints, we have introduced the invoicePdfId field. In all the invoices API responses, you can now get the BILL-generated ID of the invoice PDF.
The invoice PDF is sent as an email attachment when you send an invoice to a customer. The invoice PDF also appears when the customer clicks the invoice payment link to complete the invoice payment.
See POST /v3/invoices in the API reference for more information.
In the invoice attachment API endpoint, we have introduced the replaceInvoicePdf field. In the Upload invoice attachment (POST /v3/attachments/invoices/{invoiceId}) request, you can now set the replaceInvoicePdf field as true to replace the existing invoice PDF with a new PDF attachment.
The invoice PDF is sent as an email attachment when you send an invoice to a customer. The invoice PDF also appears when the customer clicks the invoice payment link to complete the invoice payment.
See POST /v3/attachments/invoices/{invoiceId} in the API reference for more information.
We have introduced a new API endpoint for deleting an attachment.
You can now delete an existing attachment. A deleted attachment cannot be restored. The deleted attachment is not available in the list of attachments.
| Operation | API endpoint |
|---|---|
| Delete an attachment | DELETE /v3/attachments/{attachmentId} |
In the organizations API endpoints, we have introduced the individualTransferOut and individualTransferIn fields. In the Update an organization (PATCH /v3/organizations/{organizationId}) request, you can now set these fields to specify how ACH transfers are made with the organization funding bank account.
Field | Description |
|---|---|
| Rule for how ACH transfers are made from the organization funding bank account to vendors.
|
| Rule for how ACH transfers are made from customers to the organization funding bank account.
|
See PATCH /v3/organizations/{organizationId} in the API reference for more information.